export EDITOR="nvim"
export TERMINAL="kitty"
export LANG=en_US.UTF-8

# XDG Base Directory Spec
export XDG_CONFIG_HOME="${XDG_CONFIG_HOME:-$HOME/.config}"
export XDG_CACHE_HOME="${XDG_CACHE_HOME:-$HOME/.cache}"
export XDG_DATA_HOME="${XDG_DATA_HOME:-$HOME/.local/share}"
export XDG_STATE_HOME="${XDG_STATE_HOME:-$HOME/.local/state}"
export ZDOTDIR=${ZDOTDIR:-$XDG_CONFIG_HOME/zsh}

# Configuración de programas basada en XDG
export WAKATIME_HOME=$XDG_CONFIG_HOME/wakatime
export ZSH_WAKATIME_BIN=$XDG_CONFIG_HOME/wakatime/.wakatime/wakatime-cli
export W3M_DIR=$XDG_DATA_HOME/w3m
export RANDFILE=$XDG_CACHE_HOME/.rnd
export SOLARGRAPH_CACHE=$XDG_CACHE_HOME/solargraph
export NPM_CONFIG_USERCONFIG=$XDG_CONFIG_HOME/npm/npmrc
export NODE_REPL_HISTORY=$XDG_DATA_HOME/node_repl_history
export GRADLE_USER_HOME=$XDG_DATA_HOME/gradle
export GOPATH=$XDG_DATA_HOME/go
export DOCKER_CONFIG=$XDG_CONFIG_HOME/docker
export CARGO_HOME=$XDG_DATA_HOME/cargo
export HISTFILE=${XDG_STATE_HOME}/bash/history
export GTK2_RC_FILES="$XDG_CONFIG_HOME/gtk-2.0/gtkrc-2.0"
export WGETRC="$XDG_CONFIG_HOME/wgetrc"
export JAVA_HOME="/usr/lib/jvm/default"
export PATH="$HOME/.local/bin:$PATH"
